package it.micegroup.gestioneferie.pianificazioneferie.criteria;

import java.io.Serializable;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DstatiRichAdesionePfCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 3373397213L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdStatoRichAdesionePf;

	private StringFilter codiStatoRichiestaAdes;

	private StringFilter descStatoRichiestaAdes;

	private StringFilter flagEliminato;

	private StringFilter utenteUltimaModifica;

	private LocalDateFilter dataUltimaModifica;

	private LocalDateFilter dataInizioRecord;

	private LocalDateFilter dataFineRecord;

	// FILTER FATHER

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdStatoRichAdesionePf
	 */
	public LongFilter getSequIdStatoRichAdesionePf() {
		return this.sequIdStatoRichAdesionePf;
	}

	/**
	 * @param sequIdStatoRichAdesionePf to set
	 */
	public void setSequIdStatoRichAdesionePf(LongFilter sequIdStatoRichAdesionePf) {
		this.sequIdStatoRichAdesionePf = sequIdStatoRichAdesionePf;
	}

	/**
	 * @return the codiStatoRichiestaAdes
	 */
	public StringFilter getCodiStatoRichiestaAdes() {
		return this.codiStatoRichiestaAdes;
	}

	/**
	 * @param codiStatoRichiestaAdes to set
	 */
	public void setCodiStatoRichiestaAdes(StringFilter codiStatoRichiestaAdes) {
		this.codiStatoRichiestaAdes = codiStatoRichiestaAdes;
	}

	/**
	 * @return the descStatoRichiestaAdes
	 */
	public StringFilter getDescStatoRichiestaAdes() {
		return this.descStatoRichiestaAdes;
	}

	/**
	 * @param descStatoRichiestaAdes to set
	 */
	public void setDescStatoRichiestaAdes(StringFilter descStatoRichiestaAdes) {
		this.descStatoRichiestaAdes = descStatoRichiestaAdes;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the dataInizioRecord
	 */
	public DateFilter getDataInizioRecord() {
		return this.dataInizioRecord;
	}

	/**
	 * @param dataInizioRecord to set
	 */
	public void setDataInizioRecord(DateFilter dataInizioRecord) {
		this.dataInizioRecord = dataInizioRecord;
	}

	/**
	 * @return the dataFineRecord
	 */
	public DateFilter getDataFineRecord() {
		return this.dataFineRecord;
	}

	/**
	 * @param dataFineRecord to set
	 */
	public void setDataFineRecord(DateFilter dataFineRecord) {
		this.dataFineRecord = dataFineRecord;
	}

	// GETTER/SETTER FATHER

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
